<!--

scans all posts, bins them into three-wide blocks 
if they match the condition: year of include 
should be able to do similar for grouping 'machines' 
'tools' etc ... 

-->

{% assign exists = false %}
{% for item in site.pages %}
    {% if include.year == item.year %}
    {% assign exists = true %}
    {% break %}
    {% endif %}
{% endfor %}

{% if exists %}
<h3>{{include.year}}</h3>
<div class = "bwrap" style="width: 736px; height: 250px">
    {% assign count = 0 %}
    {% for item in site.pages %}
        {% if include.year == item.year %}
            {% if count > 2 %}
                {% assign count = 0 %}
</div>
<div class = "bwrap" style="width: 736px; height: 250px">
            {% endif %}
            {% include block.html pageurl=item.url %}
            {% assign count = count | plus: 1 %}
        {% endif %}
    {% endfor %}
</div>
{% endif %}